Package com.omnisci.thrift.server

## Class TQueryInfo

- java.lang.Object
- - com.omnisci.thrift.server.TQueryInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TQueryInfo>`, `org.apache.thrift.TBase<TQueryInfo,​TQueryInfo._Fields>`, `org.apache.thrift.TSerializable`

    public class TQueryInfo
    extends Object
    implements org.apache.thrift.TBase<TQueryInfo,​TQueryInfo._Fields>, Serializable, Cloneable, Comparable<TQueryInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TQueryInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `client_address`
`String` `current_status`
`String` `db_name`
`String` `exec_device_type`
`int` `executor_id`
`String` `login_name`
`static Map<TQueryInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `query_public_session_id`
`String` `query_session_id`
`String` `query_str`
`String` `submitted`

### Constructor Summary

Constructors
`TQueryInfo()`
`TQueryInfo​(TQueryInfo other)` Performs a deep copy on other.
`TQueryInfo​(String query_session_id, String query_public_session_id, String current_status, int executor_id, String submitted, String query_str, String login_name, String client_address, String db_name, String exec_device_type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TQueryInfo other)`
`TQueryInfo` `deepCopy()`
`boolean` `equals​(TQueryInfo that)`
`boolean` `equals​(Object that)`
`TQueryInfo._Fields` `fieldForId​(int fieldId)`
`String` `getClient_address()`
`String` `getCurrent_status()`
`String` `getDb_name()`
`String` `getExec_device_type()`
`int` `getExecutor_id()`
`Object` `getFieldValue​(TQueryInfo._Fields field)`
`String` `getLogin_name()`
`String` `getQuery_public_session_id()`
`String` `getQuery_session_id()`
`String` `getQuery_str()`
`String` `getSubmitted()`
`int` `hashCode()`
`boolean` `isSet​(TQueryInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetClient_address()` Returns true if field client_address is set (has been assigned a value) and false otherwise
`boolean` `isSetCurrent_status()` Returns true if field current_status is set (has been assigned a value) and false otherwise
`boolean` `isSetDb_name()` Returns true if field db_name is set (has been assigned a value) and false otherwise
`boolean` `isSetExec_device_type()` Returns true if field exec_device_type is set (has been assigned a value) and false otherwise
`boolean` `isSetExecutor_id()` Returns true if field executor_id is set (has been assigned a value) and false otherwise
`boolean` `isSetLogin_name()` Returns true if field login_name is set (has been assigned a value) and false otherwise
`boolean` `isSetQuery_public_session_id()` Returns true if field query_public_session_id is set (has been assigned a value) and false otherwise
`boolean` `isSetQuery_session_id()` Returns true if field query_session_id is set (has been assigned a value) and false otherwise
`boolean` `isSetQuery_str()` Returns true if field query_str is set (has been assigned a value) and false otherwise
`boolean` `isSetSubmitted()` Returns true if field submitted is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TQueryInfo` `setClient_address​(String client_address)`
`void` `setClient_addressIsSet​(boolean value)`
`TQueryInfo` `setCurrent_status​(String current_status)`
`void` `setCurrent_statusIsSet​(boolean value)`
`TQueryInfo` `setDb_name​(String db_name)`
`void` `setDb_nameIsSet​(boolean value)`
`TQueryInfo` `setExec_device_type​(String exec_device_type)`
`void` `setExec_device_typeIsSet​(boolean value)`
`TQueryInfo` `setExecutor_id​(int executor_id)`
`void` `setExecutor_idIsSet​(boolean value)`
`void` `setFieldValue​(TQueryInfo._Fields field, Object value)`
`TQueryInfo` `setLogin_name​(String login_name)`
`void` `setLogin_nameIsSet​(boolean value)`
`TQueryInfo` `setQuery_public_session_id​(String query_public_session_id)`
`void` `setQuery_public_session_idIsSet​(boolean value)`
`TQueryInfo` `setQuery_session_id​(String query_session_id)`
`void` `setQuery_session_idIsSet​(boolean value)`
`TQueryInfo` `setQuery_str​(String query_str)`
`void` `setQuery_strIsSet​(boolean value)`
`TQueryInfo` `setSubmitted​(String submitted)`
`void` `setSubmittedIsSet​(boolean value)`
`String` `toString()`
`void` `unsetClient_address()`
`void` `unsetCurrent_status()`
`void` `unsetDb_name()`
`void` `unsetExec_device_type()`
`void` `unsetExecutor_id()`
`void` `unsetLogin_name()`
`void` `unsetQuery_public_session_id()`
`void` `unsetQuery_session_id()`
`void` `unsetQuery_str()`
`void` `unsetSubmitted()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### query_session_id

    public String query_session_id

#### query_public_session_id

    public String query_public_session_id

#### current_status

    public String current_status

#### executor_id

    public int executor_id

#### submitted

    public String submitted

#### query_str

    public String query_str

#### login_name

    public String login_name

#### client_address

    public String client_address

#### db_name

    public String db_name

#### exec_device_type

    public String exec_device_type

#### metaDataMap

    public static final Map<TQueryInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TQueryInfo

    public TQueryInfo()

#### TQueryInfo

    public TQueryInfo​(String query_session_id,
                      String query_public_session_id,
                      String current_status,
                      int executor_id,
                      String submitted,
                      String query_str,
                      String login_name,
                      String client_address,
                      String db_name,
                      String exec_device_type)

#### TQueryInfo

    public TQueryInfo​(TQueryInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TQueryInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TQueryInfo,​TQueryInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TQueryInfo,​TQueryInfo._Fields>`

#### getQuery_session_id

    public String getQuery_session_id()

#### setQuery_session_id

    public TQueryInfo setQuery_session_id​(String query_session_id)

#### unsetQuery_session_id

    public void unsetQuery_session_id()

#### isSetQuery_session_id

    public boolean isSetQuery_session_id()

Returns true if field query_session_id is set (has been assigned a value) and false otherwise

#### setQuery_session_idIsSet

    public void setQuery_session_idIsSet​(boolean value)

#### getQuery_public_session_id

    public String getQuery_public_session_id()

#### setQuery_public_session_id

    public TQueryInfo setQuery_public_session_id​(String query_public_session_id)

#### unsetQuery_public_session_id

    public void unsetQuery_public_session_id()

#### isSetQuery_public_session_id

    public boolean isSetQuery_public_session_id()

Returns true if field query_public_session_id is set (has been assigned a value) and false otherwise

#### setQuery_public_session_idIsSet

    public void setQuery_public_session_idIsSet​(boolean value)

#### getCurrent_status

    public String getCurrent_status()

#### setCurrent_status

    public TQueryInfo setCurrent_status​(String current_status)

#### unsetCurrent_status

    public void unsetCurrent_status()

#### isSetCurrent_status

    public boolean isSetCurrent_status()

Returns true if field current_status is set (has been assigned a value) and false otherwise

#### setCurrent_statusIsSet

    public void setCurrent_statusIsSet​(boolean value)

#### getExecutor_id

    public int getExecutor_id()

#### setExecutor_id

    public TQueryInfo setExecutor_id​(int executor_id)

#### unsetExecutor_id

    public void unsetExecutor_id()

#### isSetExecutor_id

    public boolean isSetExecutor_id()

Returns true if field executor_id is set (has been assigned a value) and false otherwise

#### setExecutor_idIsSet

    public void setExecutor_idIsSet​(boolean value)

#### getSubmitted

    public String getSubmitted()

#### setSubmitted

    public TQueryInfo setSubmitted​(String submitted)

#### unsetSubmitted

    public void unsetSubmitted()

#### isSetSubmitted

    public boolean isSetSubmitted()

Returns true if field submitted is set (has been assigned a value) and false otherwise

#### setSubmittedIsSet

    public void setSubmittedIsSet​(boolean value)

#### getQuery_str

    public String getQuery_str()

#### setQuery_str

    public TQueryInfo setQuery_str​(String query_str)

#### unsetQuery_str

    public void unsetQuery_str()

#### isSetQuery_str

    public boolean isSetQuery_str()

Returns true if field query_str is set (has been assigned a value) and false otherwise

#### setQuery_strIsSet

    public void setQuery_strIsSet​(boolean value)

#### getLogin_name

    public String getLogin_name()

#### setLogin_name

    public TQueryInfo setLogin_name​(String login_name)

#### unsetLogin_name

    public void unsetLogin_name()

#### isSetLogin_name

    public boolean isSetLogin_name()

Returns true if field login_name is set (has been assigned a value) and false otherwise

#### setLogin_nameIsSet

    public void setLogin_nameIsSet​(boolean value)

#### getClient_address

    public String getClient_address()

#### setClient_address

    public TQueryInfo setClient_address​(String client_address)

#### unsetClient_address

    public void unsetClient_address()

#### isSetClient_address

    public boolean isSetClient_address()

Returns true if field client_address is set (has been assigned a value) and false otherwise

#### setClient_addressIsSet

    public void setClient_addressIsSet​(boolean value)

#### getDb_name

    public String getDb_name()

#### setDb_name

    public TQueryInfo setDb_name​(String db_name)

#### unsetDb_name

    public void unsetDb_name()

#### isSetDb_name

    public boolean isSetDb_name()

Returns true if field db_name is set (has been assigned a value) and false otherwise

#### setDb_nameIsSet

    public void setDb_nameIsSet​(boolean value)

#### getExec_device_type

    public String getExec_device_type()

#### setExec_device_type

    public TQueryInfo setExec_device_type​(String exec_device_type)

#### unsetExec_device_type

    public void unsetExec_device_type()

#### isSetExec_device_type

    public boolean isSetExec_device_type()

Returns true if field exec_device_type is set (has been assigned a value) and false otherwise

#### setExec_device_typeIsSet

    public void setExec_device_typeIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TQueryInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TQueryInfo,​TQueryInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(TQueryInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TQueryInfo,​TQueryInfo._Fields>`

#### isSet

    public boolean isSet​(TQueryInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TQueryInfo,​TQueryInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TQueryInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TQueryInfo other)

Specified by:
  `compareTo` in interface `Comparable<TQueryInfo>`

#### fieldForId

    public TQueryInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TQueryInfo,​TQueryInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`